Subject: bug#16485: Acknowledgement (Using libtool in BusyBox)

From: Joachim Bartz <[email-masked]>
Date: Thu, 23 Jan 2014 21:41:37 +0100

Hi Gary,

I could not figure out, how to really get around the buggy BusyBox install
tool.

Debugging BusyBox is no option at all.

So I added a few lines to libtool's configure script.

I recommend to use the following patch for libtool 2.4.2:

# diff configure.bak configure

2735a2736,2739

>  elif test $ac_prog = install &&

>    grep "BusyBox v1.01" "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1;
>then
>    # BusyBox v1.01 has a bogus install utility -- don't use.
>    :

It is very restrictive to a special BusyBox version.
But I think this BusyBox version is spread very wide.

If you really apply this path:
What about libtool derivates for example in apr?
Will this patch be applied there too?
--
Best regards
Joachim